#pragma once

#include <stdint.h>

enum class DepthWriteMask
{
    Zero,
    All
};

enum class ComparisonFunc
{
    Never	= 1,
    Less	= 2,
    Equal	= 3,
    LessEqual	= 4,
    Greater	= 5,
    NotEqual	= 6,
    GreaterEqual	= 7,
    Always	= 8
};

struct DepthStencilStateDesc
{
    bool DepthEnable;
    DepthWriteMask DepthWriteMask;
    ComparisonFunc DepthFunc;
    bool StencilEnable;
    uint8_t StencilReadMask;
    uint8_t StencilWriteMask;
};
