#pragma once

#include <vector>

struct RasterizerStateDesc;
struct DepthStencilStateDesc;
struct BlendStateDesc;
struct InputAssemblerDesc;

class SamplerState;
class Shader;

struct PipelineDesc
{
    std::vector<Shader*> Shaders_;
    InputAssemblerDesc* InputAssemblerDesc_;
    RasterizerStateDesc* RasterizerStateDesc_;
    DepthStencilStateDesc* DepthStencilStateDesc_;
    BlendStateDesc* BlendStateDesc_;
    SamplerState* SamplerStateDesc_;

};