#pragma once

#include "Graphics/Device/DeviceObject.hpp"

class SamplerState : public DeviceObject
{
public:
    SamplerState(GraphicsDevice* graphicsDevice);
    ~SamplerState() = default;

    ComPtr<ID3D11SamplerState>& GetSamplerState() { return SamplerState_; }

    virtual DeviceObjectType GetDeviceObjectType() override { return DeviceObjectType::SamplerState; }

private:
    ComPtr<ID3D11SamplerState> SamplerState_;
};
